<bugID>1374554<Summary>tabs lost on update</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:55.0) Gecko/20100101 Firefox/55.0
Build ID: 20170615063713

Steps to reproduce:

Upgraded from v54 to v55 (v2, two restarts) (Windows 10)


Actual results:

Firefox state got partially lost: I hat two windows, one with 2 tabs, one with 12 pinned and around 20 unpinned tabs. 2 Tab Window reappeared, in the other window all pinned tabs and one unpinned reappeared. Other unpinnend ones got lost.


Expected results:

I am pretty much used by Firefox, that it retains such state gracefully.</Description></bugID>